<template>
  <div>
    <h2>{{ tariff.title }}</h2>
    <dl class="row">
      <dt class="col-2">Период</dt>
      <dd class="col-10">{{ tariff.period }}</dd>

      <dt class="col-2">Доступен</dt>
      <dd class="col-10">{{ tariff.is_available }}</dd>
    </dl>
    <p><strong>Применим к оборудованию:</strong></p>
    <ul>
      <li v-for="item in tariff.equipment" :key="item._id">
        <nuxt-link :to="`/equipment/${item._id}`">{{ item.title }}</nuxt-link>
      </li>
    </ul>
    <nuxt-link tag="button" class="btn btn-primary" :to="`/tariffs/${tariff._id}/update`">Редактировать</nuxt-link>
    <b-button @click="remove(tariff)" variant="danger">Удалить</b-button>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  asyncData ({ $config: { baseURL }, params }) {
    return axios.get(`${baseURL}/tariffs/${params.id}`).then((resp) => { return { tariff: resp.data, baseURL } })
  },
  head () {
    return {
      title: 'Тариф'
    }
  },
  methods: {
    async remove (equipment) {
      console.log(this.baseURL)
      if (!confirm('Are you sure?')) {
        return
      }
      const response = await axios.delete(`${this.baseURL}/tariffs/${equipment._id}`)
      if (response.status === 204) {
        this.$router.push({ path: '/tariffs' })
      } else {
        alert(response.data)
      }
    }
  }
}
</script>

<style scoped>

</style>
